/**
 * Copyright 2007-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.maven.jbuilding;


/**
 * Represents a DeploymentPlan.
 * @author Francois Fornaciari
 */
public class DeploymentPlan {


    /**
     * Deployment plan's name.
     */
    private String name = null;

    /**
     * Deployment plan's includes.
     */
    private String[] includes = null;

    /**
     * Deployment plan's maven2 artifact items.
     */
    private ArtifactItem[] artifactItems = null;

    /**
     * Deployment plan's directory path.
     */
    private String directory = null;

    /**
     * @return Service's name.
     */
    public String getName() {
        return name;
    }

    /**
     * @param name The name to set
     */
    public void setName(final String name) {
        this.name = name;
    }

    /**
     * @return Deployment plan's includes.
     */
    public String[] getIncludes() {
        if (includes != null) {
            return includes.clone();
        }
        return null;
    }

    /**
     * @param includes the includes to set
     */
    public void setIncludes(final String[] includes) {
        this.includes = includes.clone();
    }

    /**
     * @return Deployment plan artifact items.
     */
    public ArtifactItem[] getArtifactItems() {
        if (artifactItems != null) {
            return artifactItems.clone();
        }
        return null;
    }

    /**
     * @param artifactItems The artifact items to set
     */
    public void setArtifactItems(final ArtifactItem[] artifactItems) {
        this.artifactItems = artifactItems.clone();
    }

    /**
     * @return Deployment plan directory path.
     */
    public String getDirectory() {
        return directory;
    }

    /**
     * @param directory Deployment plan directory path.
     */
    public void setDirectory(final String directory) {
        this.directory = directory;
    }


}
